const bundledLanguagesBase = {
  "abap": () => import('./langs/abap.mjs'),
  "actionscript-3": () => import('./langs/actionscript-3.mjs'),
  "ada": () => import('./langs/ada.mjs'),
  "apache": () => import('./langs/apache.mjs'),
  "apex": () => import('./langs/apex.mjs'),
  "apl": () => import('./langs/apl.mjs'),
  "applescript": () => import('./langs/applescript.mjs'),
  "ara": () => import('./langs/ara.mjs'),
  "asm": () => import('./langs/asm.mjs'),
  "astro": () => import('./langs/astro.mjs'),
  "awk": () => import('./langs/awk.mjs'),
  "ballerina": () => import('./langs/ballerina.mjs'),
  "bat": () => import('./langs/bat.mjs'),
  "beancount": () => import('./langs/beancount.mjs'),
  "berry": () => import('./langs/berry.mjs'),
  "bibtex": () => import('./langs/bibtex.mjs'),
  "bicep": () => import('./langs/bicep.mjs'),
  "blade": () => import('./langs/blade.mjs'),
  "c": () => import('./langs/c.mjs'),
  "cadence": () => import('./langs/cadence.mjs'),
  "clarity": () => import('./langs/clarity.mjs'),
  "clojure": () => import('./langs/clojure.mjs'),
  "cmake": () => import('./langs/cmake.mjs'),
  "cobol": () => import('./langs/cobol.mjs'),
  "codeql": () => import('./langs/codeql.mjs'),
  "coffee": () => import('./langs/coffee.mjs'),
  "cpp": () => import('./langs/cpp.mjs'),
  "crystal": () => import('./langs/crystal.mjs'),
  "csharp": () => import('./langs/csharp.mjs'),
  "css": () => import('./langs/css.mjs'),
  "cue": () => import('./langs/cue.mjs'),
  "cypher": () => import('./langs/cypher.mjs'),
  "d": () => import('./langs/d.mjs'),
  "dart": () => import('./langs/dart.mjs'),
  "dax": () => import('./langs/dax.mjs'),
  "diff": () => import('./langs/diff.mjs'),
  "docker": () => import('./langs/docker.mjs'),
  "dream-maker": () => import('./langs/dream-maker.mjs'),
  "elixir": () => import('./langs/elixir.mjs'),
  "elm": () => import('./langs/elm.mjs'),
  "erb": () => import('./langs/erb.mjs'),
  "erlang": () => import('./langs/erlang.mjs'),
  "fish": () => import('./langs/fish.mjs'),
  "fsharp": () => import('./langs/fsharp.mjs'),
  "gdresource": () => import('./langs/gdresource.mjs'),
  "gdscript": () => import('./langs/gdscript.mjs'),
  "gdshader": () => import('./langs/gdshader.mjs'),
  "gherkin": () => import('./langs/gherkin.mjs'),
  "git-commit": () => import('./langs/git-commit.mjs'),
  "git-rebase": () => import('./langs/git-rebase.mjs'),
  "glimmer-js": () => import('./langs/glimmer-js.mjs'),
  "glimmer-ts": () => import('./langs/glimmer-ts.mjs'),
  "glsl": () => import('./langs/glsl.mjs'),
  "gnuplot": () => import('./langs/gnuplot.mjs'),
  "go": () => import('./langs/go.mjs'),
  "graphql": () => import('./langs/graphql.mjs'),
  "groovy": () => import('./langs/groovy.mjs'),
  "hack": () => import('./langs/hack.mjs'),
  "haml": () => import('./langs/haml.mjs'),
  "handlebars": () => import('./langs/handlebars.mjs'),
  "haskell": () => import('./langs/haskell.mjs'),
  "hcl": () => import('./langs/hcl.mjs'),
  "hjson": () => import('./langs/hjson.mjs'),
  "hlsl": () => import('./langs/hlsl.mjs'),
  "html": () => import('./langs/html.mjs'),
  "http": () => import('./langs/http.mjs'),
  "imba": () => import('./langs/imba.mjs'),
  "ini": () => import('./langs/ini.mjs'),
  "java": () => import('./langs/java.mjs'),
  "javascript": () => import('./langs/javascript.mjs'),
  "jinja-html": () => import('./langs/jinja-html.mjs'),
  "jison": () => import('./langs/jison.mjs'),
  "json": () => import('./langs/json.mjs'),
  "json5": () => import('./langs/json5.mjs'),
  "jsonc": () => import('./langs/jsonc.mjs'),
  "jsonl": () => import('./langs/jsonl.mjs'),
  "jsonnet": () => import('./langs/jsonnet.mjs'),
  "jssm": () => import('./langs/jssm.mjs'),
  "jsx": () => import('./langs/jsx.mjs'),
  "julia": () => import('./langs/julia.mjs'),
  "kotlin": () => import('./langs/kotlin.mjs'),
  "kusto": () => import('./langs/kusto.mjs'),
  "latex": () => import('./langs/latex.mjs'),
  "less": () => import('./langs/less.mjs'),
  "liquid": () => import('./langs/liquid.mjs'),
  "lisp": () => import('./langs/lisp.mjs'),
  "logo": () => import('./langs/logo.mjs'),
  "lua": () => import('./langs/lua.mjs'),
  "make": () => import('./langs/make.mjs'),
  "markdown": () => import('./langs/markdown.mjs'),
  "marko": () => import('./langs/marko.mjs'),
  "matlab": () => import('./langs/matlab.mjs'),
  "mdc": () => import('./langs/mdc.mjs'),
  "mdx": () => import('./langs/mdx.mjs'),
  "mermaid": () => import('./langs/mermaid.mjs'),
  "mojo": () => import('./langs/mojo.mjs'),
  "narrat": () => import('./langs/narrat.mjs'),
  "nextflow": () => import('./langs/nextflow.mjs'),
  "nginx": () => import('./langs/nginx.mjs'),
  "nim": () => import('./langs/nim.mjs'),
  "nix": () => import('./langs/nix.mjs'),
  "objective-c": () => import('./langs/objective-c.mjs'),
  "objective-cpp": () => import('./langs/objective-cpp.mjs'),
  "ocaml": () => import('./langs/ocaml.mjs'),
  "pascal": () => import('./langs/pascal.mjs'),
  "perl": () => import('./langs/perl.mjs'),
  "php": () => import('./langs/php.mjs'),
  "plsql": () => import('./langs/plsql.mjs'),
  "postcss": () => import('./langs/postcss.mjs'),
  "powerquery": () => import('./langs/powerquery.mjs'),
  "powershell": () => import('./langs/powershell.mjs'),
  "prisma": () => import('./langs/prisma.mjs'),
  "prolog": () => import('./langs/prolog.mjs'),
  "proto": () => import('./langs/proto.mjs'),
  "pug": () => import('./langs/pug.mjs'),
  "puppet": () => import('./langs/puppet.mjs'),
  "purescript": () => import('./langs/purescript.mjs'),
  "python": () => import('./langs/python.mjs'),
  "r": () => import('./langs/r.mjs'),
  "raku": () => import('./langs/raku.mjs'),
  "razor": () => import('./langs/razor.mjs'),
  "reg": () => import('./langs/reg.mjs'),
  "rel": () => import('./langs/rel.mjs'),
  "riscv": () => import('./langs/riscv.mjs'),
  "rst": () => import('./langs/rst.mjs'),
  "ruby": () => import('./langs/ruby.mjs'),
  "rust": () => import('./langs/rust.mjs'),
  "sas": () => import('./langs/sas.mjs'),
  "sass": () => import('./langs/sass.mjs'),
  "scala": () => import('./langs/scala.mjs'),
  "scheme": () => import('./langs/scheme.mjs'),
  "scss": () => import('./langs/scss.mjs'),
  "shaderlab": () => import('./langs/shaderlab.mjs'),
  "shellscript": () => import('./langs/shellscript.mjs'),
  "shellsession": () => import('./langs/shellsession.mjs'),
  "smalltalk": () => import('./langs/smalltalk.mjs'),
  "solidity": () => import('./langs/solidity.mjs'),
  "sparql": () => import('./langs/sparql.mjs'),
  "splunk": () => import('./langs/splunk.mjs'),
  "sql": () => import('./langs/sql.mjs'),
  "ssh-config": () => import('./langs/ssh-config.mjs'),
  "stata": () => import('./langs/stata.mjs'),
  "stylus": () => import('./langs/stylus.mjs'),
  "svelte": () => import('./langs/svelte.mjs'),
  "swift": () => import('./langs/swift.mjs'),
  "system-verilog": () => import('./langs/system-verilog.mjs'),
  "tasl": () => import('./langs/tasl.mjs'),
  "tcl": () => import('./langs/tcl.mjs'),
  "tex": () => import('./langs/tex.mjs'),
  "toml": () => import('./langs/toml.mjs'),
  "tsx": () => import('./langs/tsx.mjs'),
  "turtle": () => import('./langs/turtle.mjs'),
  "twig": () => import('./langs/twig.mjs'),
  "typescript": () => import('./langs/typescript.mjs'),
  "v": () => import('./langs/v.mjs'),
  "vb": () => import('./langs/vb.mjs'),
  "verilog": () => import('./langs/verilog.mjs'),
  "vhdl": () => import('./langs/vhdl.mjs'),
  "viml": () => import('./langs/viml.mjs'),
  "vue": () => import('./langs/vue.mjs'),
  "vue-html": () => import('./langs/vue-html.mjs'),
  "vyper": () => import('./langs/vyper.mjs'),
  "wasm": () => import('./langs/wasm.mjs'),
  "wenyan": () => import('./langs/wenyan.mjs'),
  "wgsl": () => import('./langs/wgsl.mjs'),
  "wolfram": () => import('./langs/wolfram.mjs'),
  "xml": () => import('./langs/xml.mjs'),
  "xsl": () => import('./langs/xsl.mjs'),
  "yaml": () => import('./langs/yaml.mjs'),
  "zenscript": () => import('./langs/zenscript.mjs'),
  "zig": () => import('./langs/zig.mjs')
};
const bundledLanguagesAlias = {
  "bash": bundledLanguagesBase["shellscript"],
  "batch": bundledLanguagesBase["bat"],
  "be": bundledLanguagesBase["berry"],
  "c#": bundledLanguagesBase["csharp"],
  "cdc": bundledLanguagesBase["cadence"],
  "clj": bundledLanguagesBase["clojure"],
  "cmd": bundledLanguagesBase["vb"],
  "console": bundledLanguagesBase["shellsession"],
  "cql": bundledLanguagesBase["cypher"],
  "cs": bundledLanguagesBase["csharp"],
  "dockerfile": bundledLanguagesBase["docker"],
  "erl": bundledLanguagesBase["erlang"],
  "f#": bundledLanguagesBase["fsharp"],
  "fs": bundledLanguagesBase["fsharp"],
  "fsl": bundledLanguagesBase["jssm"],
  "gjs": bundledLanguagesBase["glimmer-js"],
  "gts": bundledLanguagesBase["glimmer-ts"],
  "hbs": bundledLanguagesBase["handlebars"],
  "hs": bundledLanguagesBase["haskell"],
  "jade": bundledLanguagesBase["pug"],
  "js": bundledLanguagesBase["javascript"],
  "kql": bundledLanguagesBase["kusto"],
  "makefile": bundledLanguagesBase["make"],
  "md": bundledLanguagesBase["markdown"],
  "nar": bundledLanguagesBase["narrat"],
  "nf": bundledLanguagesBase["nextflow"],
  "objc": bundledLanguagesBase["objective-c"],
  "perl6": bundledLanguagesBase["raku"],
  "properties": bundledLanguagesBase["ini"],
  "ps": bundledLanguagesBase["powershell"],
  "ps1": bundledLanguagesBase["powershell"],
  "py": bundledLanguagesBase["python"],
  "ql": bundledLanguagesBase["codeql"],
  "rb": bundledLanguagesBase["ruby"],
  "rs": bundledLanguagesBase["rust"],
  "sh": bundledLanguagesBase["shellscript"],
  "shader": bundledLanguagesBase["shaderlab"],
  "shell": bundledLanguagesBase["shellscript"],
  "spl": bundledLanguagesBase["splunk"],
  "styl": bundledLanguagesBase["stylus"],
  "ts": bundledLanguagesBase["typescript"],
  "vim": bundledLanguagesBase["viml"],
  "vimscript": bundledLanguagesBase["viml"],
  "vy": bundledLanguagesBase["vyper"],
  "yml": bundledLanguagesBase["yaml"],
  "zsh": bundledLanguagesBase["shellscript"],
  "\u6587\u8A00": bundledLanguagesBase["wenyan"]
};
const bundledLanguages = {
  ...bundledLanguagesBase,
  ...bundledLanguagesAlias
};

export { bundledLanguages, bundledLanguagesAlias, bundledLanguagesBase };
